Subject: bug#37534: closed (Re: [bug#37534] [PATCH] gnu: conky: Activate Pulseaudio support.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Oct 2019 16:17:02 +0000

Your bug report

#37534: [PATCH] gnu: conky: Activate Pulseaudio support.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37534: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37534
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37534] [PATCH] gnu: conky: Activate Pulseaudio support.
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: Dumitrascu Vasile <[email-masked]>
Date: Tue, 01 Oct 2019 18:16:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vasile,

Thanks for the patch!  I've pushed it as 
18edc9db02658c597695905121a9df68e9118ab8 with miniscule changes to 
the commit message.

Dumitrascu Vasile 写道：
>   Hi Tobias
> Thank you for the review and sorry to have missed the sorting.

Oh, er, sorry you're sorry; no need to be.  All I meant by ‘any 
hope lost’ was that there's no way to make the entire list sorted 
without moving unrelated lines around (e.g. curl).  But your new 
compromise is a better compromise.  Thank you!

> I have re-attached the original patch as a file to this email, 
> as I guess the encoding issues were caused by git send-mail.

‘git send-email’ has one job, so it should do it really well.  I 
send all my patches in-line and have never had trouble.

Kind regards,

T G-R

Subject: [PATCH] gnu: conky: Activate Pulseaudio support.
From: Vasile Dumitrascu <[email-masked]>
To: [email-masked]
Cc: Vasile Dumitrascu <[email-masked]>
Date: Fri, 27 Sep 2019 22:32:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/conky.scm (conky):
  [inputs] Add pulseaudio.
---
 gnu/packages/conky.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/conky.scm b/gnu/packages/conky.scm
index 681feb6e43..046d132a9b 100644
--- a/gnu/packages/conky.scm
+++ b/gnu/packages/conky.scm
@@ -2,6 +2,7 @@
 ;;; Copyright ?? 2015 Sini??a Bi??in <[email-masked]>
 ;;; Copyright ?? 2018, 2019 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright ?? 2019 Pierre Neidhardt <[email-masked]>
+;;; Copyright ?? 2019 Vasile Dumitrascu <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -31,6 +32,7 @@
   #:use-module (gnu packages lua)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages xorg))
 
 (define-public conky
@@ -51,7 +53,8 @@
     (arguments
      `(#:tests? #f                      ; there are no tests
        #:configure-flags
-       (list "-DRELEASE=true")
+       (list "-DRELEASE=true"
+             "-DBUILD_PULSEAUDIO=ON")
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'add-freetype-to-search-path
@@ -76,6 +79,7 @@
        ("libxext" ,libxext)
        ("libxft" ,libxft)
        ("libxinerama" ,libxinerama)
+       ("pulseaudio", pulseaudio)
        ("lua" ,lua)
        ("ncurses" ,ncurses)
        ("curl" ,curl)))
-- 
2.23.0